Results 1 to 2 of 2

Thread: Which package has kde-3 dependencies in a OpenSUSE 12.3 dist-upgrade?

  1. #1

    Question Which package has kde-3 dependencies in a OpenSUSE 12.3 dist-upgrade?

    Hi,

    it seems some package needs kde3 dependencies, but I would like to know it. Is there any command to search for kdelibs3 deps in this upgrade?

    Code:
    # zypper dist-upgrade
    Warning: You are about to do a distribution upgrade with all enabled repositories. Make sure these repositories are compatible before you continue. See 'man zypper' for more information about this command.
    Loading repository data...
    Reading installed packages...
    Computing distribution upgrade...
    
    The following NEW packages are going to be installed:
      kde3-i18n-es kde3-i18n-es-base kde3-kaffeine kde3-kaffeine-lang kdelibs3 kdelibs3-default-style libart_lgpl_2-2 libavcodec52 libavcodec54 libavfilter1 libavformat52 libavutil50 libdns_sd libid3tag0 libmad0 
      libmpeg2-0 libswscale0 libswscale2 libtwolame0 libvo-aacenc0 normalize pvm qt3 transcode 
    
    The following packages are going to be upgraded:
      gstreamer gstreamer-0_10 gstreamer-0_10-plugin-gnomevfs libgstapp-0_10-0 libgstapp-1_0-0 libgstaudio-1_0-0 libgstbasecamerabinsrc-1_0-0 libgstcodecparsers-1_0-0 libgstfft-1_0-0 libgstinterfaces-0_10-0 
      libgstpbutils-1_0-0 libgstphotography-1_0-0 libgstreamer-0_10-0 libgstreamer-1_0-0 libgstriff-1_0-0 libgstrtp-1_0-0 libgstrtsp-1_0-0 libgstsdp-1_0-0 libgsttag-1_0-0 libgstvideo-1_0-0 libmjpegutils-2_0-0 
      libquicktime0 libsox2 libstrigi0 libxine2 sox strigi 
    
    The following packages are going to change vendor:
      gstreamer                       openSUSE -> http://packman.links2linux.de
      gstreamer-0_10                  openSUSE -> http://packman.links2linux.de
      gstreamer-0_10-plugin-gnomevfs  openSUSE -> http://packman.links2linux.de
      libgstapp-0_10-0                openSUSE -> http://packman.links2linux.de
      libgstapp-1_0-0                 openSUSE -> http://packman.links2linux.de
      libgstaudio-1_0-0               openSUSE -> http://packman.links2linux.de
      libgstbasecamerabinsrc-1_0-0    openSUSE -> http://packman.links2linux.de
      libgstcodecparsers-1_0-0        openSUSE -> http://packman.links2linux.de
      libgstfft-1_0-0                 openSUSE -> http://packman.links2linux.de
      libgstinterfaces-0_10-0         openSUSE -> http://packman.links2linux.de
      libgstpbutils-1_0-0             openSUSE -> http://packman.links2linux.de
      libgstphotography-1_0-0         openSUSE -> http://packman.links2linux.de
      libgstreamer-0_10-0             openSUSE -> http://packman.links2linux.de
      libgstreamer-1_0-0              openSUSE -> http://packman.links2linux.de
      libgstriff-1_0-0                openSUSE -> http://packman.links2linux.de
      libgstrtp-1_0-0                 openSUSE -> http://packman.links2linux.de
      libgstrtsp-1_0-0                openSUSE -> http://packman.links2linux.de
      libgstsdp-1_0-0                 openSUSE -> http://packman.links2linux.de
      libgsttag-1_0-0                 openSUSE -> http://packman.links2linux.de
      libgstvideo-1_0-0               openSUSE -> http://packman.links2linux.de
      libmjpegutils-2_0-0             openSUSE -> http://packman.links2linux.de
      libquicktime0                   openSUSE -> http://packman.links2linux.de
      libsox2                         openSUSE -> http://packman.links2linux.de
      libstrigi0                      openSUSE -> http://packman.links2linux.de
      libxine2                        openSUSE -> http://packman.links2linux.de
      sox                             openSUSE -> http://packman.links2linux.de
      strigi                          openSUSE -> http://packman.links2linux.de
    
    
    27 packages to upgrade, 24 new, 27  to change vendor.
    Overall download size: 64.9 MiB. After the operation, additional 128.5 MiB will be used.
    Continue? [y/n/?] (y):

  2. #2
    Join Date
    Aug 2008
    Location
    Seattle, WA
    Posts
    1,376

    Default Re: Which package has kde-3 dependencies in a OpenSUSE 12.3 dist-upgrade?

    Why are you using distribution upgrade? This can be dangerous. update and patch are the normal methods.

    To find out what requires a capability, use

    Code:
    rpm -q --whatrequires <packagename>
    or for example,

    Code:
    rpm -q --whatrequires kdelibs3

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •